Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uky.kcr.recordlinkage.configuration
Interface LinkageConfiguration

All Known Implementing Classes:
  AbstractLinkageConfiguration, XmlLinkageConfiguration

    public interface LinkageConfiguration

Describes all of the settings necessary to link records, including blocking parameters, matching parameters, cutoff scores, the class name of a `LinkageEngine`, and a delegate Map for algorithm-specific settings. An instance of this object is used to initialize a LinkageEngine before the linkage operation takes place.
A typical XML instance of a Linkage Configuration:
``

     <?xml version='1.0'?>
     <LinkageConfiguration
                            linkageEngineClassName='edu.uky.kcr.recordlinkage.engine.ExactMatchLinkageEngine'
                            negativeMatchCutoffScore='0.0'
                            positiveMatchCutoffScore='0.99'
                            useSecondaryForUnmatchedRecords='true'>
            <BlockingConfiguration method='soundex' primaryFieldName='LastName' secondaryFieldName='LastName'/>
            <MatchingConfiguration method='exact' primaryFieldName='SSN' secondaryFieldName='SSN' isDate='false' missingValueString='999999999'/>
            <Delegate name1='value1' name2='value2' name3='value3'/>
     </LinkageConfiguration>

Author:
  ihands

Method Summary
`java.util.List<BlockingConfiguration>` | `getBlockingConfigurationList()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getDelegateMap()`
`java.lang.String` | `getLinkageEngineClassName()`
`java.util.List<MatchingConfiguration>` | `getMatchingConfigurationList()`
`java.lang.Float` | `getNegativeMatchCutoffScore()`
`java.lang.Float` | `getPositiveMatchCutoffScore()`
`boolean` | `useSecondaryDataSourceForUnmatchedRecords()`

Method Detail

### getLinkageEngineClassName

    java.lang.String getLinkageEngineClassName()

  Returns:
    The class name of a `LinkageEngine`. Used by a `LinkageController` to create and initialize a `LinkageEngine` instance.

### getBlockingConfigurationList

    java.util.List<BlockingConfiguration> getBlockingConfigurationList()

  Returns:
    A list of BlockingConfiguration objects that will be used to limit the number of records used from a LinkageDataSource.

### getMatchingConfigurationList

    java.util.List<MatchingConfiguration> getMatchingConfigurationList()

  Returns:
    A list of MatchingConfiguration objects that will be used by a `LinkageEngine` to match records.

### getPositiveMatchCutoffScore

    java.lang.Float getPositiveMatchCutoffScore()

  Returns:
    The lowest score value for a LinkageMatch to be considered a positive match.

### getNegativeMatchCutoffScore

    java.lang.Float getNegativeMatchCutoffScore()

  Returns:
    The lowest score value for a LinkageMatch to be considered an indeterminate match if the score is less than the value returned by `getNegativeMatchCutoffScore()`

### getDelegateMap

    java.util.Map<java.lang.String,java.lang.Object> getDelegateMap()

  Returns:
    Map of named delegate objects for internal use by a LinkageEngine during setup or runtime

### useSecondaryDataSourceForUnmatchedRecords

    boolean useSecondaryDataSourceForUnmatchedRecords()

  Returns:
    true if the secondary data source should be used for unmatched records, otherwise unmatched records will be from the primary data source. The default behavior should be true.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD